Texting formatting setting is global (Allow override in module level)
Status: New Start date: 2010-03-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The current text formatting setting is global - ie. if the wiki is markdown then so are all the description pages and the inline ticket

formatting.  It'd like to make this more granular so you can have, for example, textile mark-=up for the issues but markdown in the

wiki.

Related issues:

Related to Redmine - Feature #8095: Allow overriding the default text formatt... New 2011-04-07

Has duplicate Redmine - Feature #15225: Need to be able to have separate mark... Closed

History

#1 - 2011-05-06 09:15 - Ebrahim Mohammadi

Related: #8095

#2 - 2015-04-29 07:41 - Go MAEDA

- Related to Feature #8095: Allow overriding the default text formatting in each project added

#3 - 2015-04-29 07:43 - Go MAEDA

- Has duplicate Feature #15225: Need to be able to have separate markup formats for bugs and wiki pages added

#4 - 2016-01-17 10:15 - Go MAEDA

- Related to deleted (Feature #8095: Allow overriding the default text formatting in each project)

#5 - 2016-01-17 10:16 - Go MAEDA

- Related to Feature #8095: Allow overriding the default text formatting in each project added

#6 - 2016-01-17 10:17 - Go MAEDA

- Subject changed from Texting formatting setting is global to Texting formatting setting is global (Allow override in module level)

#7 - 2023-03-02 11:01 - Stefaan Ellebaut

+1 on this.

We have a redmine instance containing projects of over a decade. We would like to switch to CKeditor but up till now all is done in textile formatting.

Changing the global setting to the new editor would break all existing wiki pages and issue descriptions and notes, which makes a switch impossible

now.
